<?php
/* ======================================================
 # Virtuemart Sales for Joomla! - v7.1.8 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v3.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/virtuemart-sales
 # Support: support@web357.com
 # Last modified: Monday 10 July 2023, 03:54:31 AM
 ========================================================= */
defined( '_JEXEC' ) or die( 'Restricted access' );

// Load CSS styles
JFactory::getDocument()->addStyleSheet(JURI::root().'components/com_vmsales/assets/uikit/uikit-3.0.0-beta.35/uikit.min.css'); // uikit css
JFactory::getDocument()->addStyleSheet(JURI::root().'components/com_vmsales/views/vmsales/tmpl/assets/css/style.css'); // custom css

// Load JS UIkit
JFactory::getDocument()->addScript(JURI::root().'components/com_vmsales/assets/uikit/uikit-3.0.0-beta.35/uikit.min.js'); // uikit js
JFactory::getDocument()->addScript(JURI::root().'components/com_vmsales/assets/uikit/uikit-3.0.0-beta.35/uikit-icons.min.js'); // uikit js icons

// load jQuery
JHtml::_('jquery.framework', false); ?>        
<script>
jQuery(document).ready(function($) {
    "use strict";

	// UIkit run in scope mode to avoid conflicts
	UIkit.container = UIkit.util.$('.uk-scope');

	// Search button validation
	$('button#search-button-home, button#search-button-page').on('click', function () {

		var filter_search = $('#filter_search').val();
		var filter_manufacturer = $('#filter_manufacturer').val();
		var filter_category = $('#filter_category').val();

		if (
			(filter_search === null || filter_search === "") && 
			(filter_manufacturer === null || filter_manufacturer === "") && 
			(filter_category === null || filter_category === "")
		   )
		{
			$("#filter_search, #filter_manufacturer, #filter_category").css("border", "1px solid red");
			UIkit.modal.alert("<?php echo JText::_('VMSALES_ALERT_ERROR_EMPTY_FORM'); ?>");
			return false;
		}
		else if (filter_search.length < 3)
		{
			$("#filter_search").css("border", "1px solid red");
			UIkit.modal.alert("<?php echo JText::_('VMSALES_ALERT_MAXLENGHT_SEARCH_INPUT_FORM'); ?>");
			return false;
		}
	});		

	// bind change event to select
	$('#filter_datatype, #filter_orderby, #filter_category, #filter_manufacturer, #filter_search').on('change', function () {

		var filter_datatype = $('#filter_datatype').val(); // get selected value
		var filter_orderby = $('#filter_orderby').val(); // get selected value
		var filter_category = $('#filter_category').val(); // get selected value
		var filter_manufacturer = $('#filter_manufacturer').val(); // get selected value
		var filter_search = $('#filter_search').val(); // get selected value
		var menu_item_id = $('#menu_item_id').val(); // get selected value

		var url = '<?php echo JURI::base(); ?>index.php?option=com_vmsales&view=vmsales';

        if (filter_datatype) 
		{
			url += '&datatype=' + filter_datatype;
		}

		if (filter_orderby) 
		{
			url += '&orderby=' + filter_orderby;
		}

        if (filter_category) 
		{
			url += '&category=' + filter_category;
		}

        if (filter_manufacturer) 
		{
			url += '&manufacturer=' + filter_manufacturer;
		}

        if (filter_search) 
		{
			url += '&search=' + filter_search;
		}

		if (menu_item_id) 
		{
			url += '&Itemid=' + menu_item_id;
		}

		url += '&task=vmsales.goToURL';

		$('#adminForm').attr('action', url);
		$('#adminForm').submit();
	});

	// ON submit
    $('#filter_search').on('submit', function () {
		$('#adminForm').submit();
    });
    
    // CLEAR FILTERS
	$('button#clear-search-button').on('click', function () {
		$('#filter_search').val('');
		$('#filter_datatype').val('<?php echo $this->params->get('data_type', 'all'); ?>');
		$('#filter_orderby').val('most_recent_first');
		$('#filter_manufacturer').val('');
		$('#filter_category').val('');
		$('#adminForm').attr('action', '<?php echo JRoute::_('index.php?option=com_vmsales&view=vmsales'.$this->menu_item_id); ?>');
		$('#adminForm').submit();
	});

});
</script>

<div class="uk-scope">
                                
    <div id="vms" class="uk-text-left <?php echo (!empty($this->pageclass_sfx) ? ' '.$this->pageclass_sfx : ''); ?>">

        <!-- BEGIN: Heading -->
        <div class="uk-section uk-section-muted vms_block_heading">
            <h1 class="uk-h2 vms_heading">
                <?php echo $this->heading; ?> <sup style="font-size: 11px;">(<?php echo $this->total; ?> <?php echo JText::_('VMSALES_PRODUCTS'); ?>)</sup>
            </h1>
        </div>
        <!-- END: Heading -->
        
        <form action="<?php echo JRoute::_('index.php?option=com_vmsales'.$this->menu_item_id); ?>" method="post" name="adminForm" id="adminForm" class="uk-form-stacked ma-form">

        <?php if ($this->search_type || $this->search_categories || $this->search_manufacturers || $this->search_sort_by || $this->search_text): ?>            
        <!-- BEGIN: Search Form -->
        <div class="uk-margin-medium-top uk-padding-remove-top uk-padding-remove-bottom">
        <legend class="uk-legend uk-padding-remove-bottom"><?php echo JText::_('VMSALES_SEARCH_TOOLS_LEGEND'); ?></legend>
        
        <?php if ($this->search_type || $this->search_categories): ?>    
        <div class="uk-margin-top" uk-grid>
        <?php endif; ?>
        
        <?php
        // BEGIN: Search Type
        if ($this->search_type):
        ?>
        <div class="uk-width-1-2@l uk-width-1-2@m uk-width-1-1@s">
            <div class="uk-margin">
                <label for="filter_datatype" class="uk-form-label uk-text-muted"><?php echo JText::_('VMSALES_SEARCH_TYPE'); ?></label>
                <div class="uk-form-controls uk-margin-small-top">
                    <?php echo $this->datatype_list; ?>
                </div>
            </div>
        </div>
        <?php
        endif;
        // END: Search type

        // BEGIN: Search in Category
        if ($this->search_categories):
        ?>
        <div class="uk-width-1-2@l uk-width-1-2@m uk-width-1-1@s">
            <div class="uk-margin">
                <label for="filter_category" class="uk-form-label uk-text-muted"><?php echo JText::_('VMSALES_CATEGORY'); ?></label>
                <div class="uk-form-controls uk-margin-small-top">
                    <select id="filter_category" name="filter[category]" class="uk-select uk-width-7-10 uk-width-1-1@l uk-width-1-1@m uk-width-1-1@s">
                        <option value=""><?php echo JText::_('VMSALES_ALL_CATEGORIES'); ?></option>
                        <?php echo $this->category_list_tree; ?>
                    </select>
                </div>
            </div>
        </div>
        <?php 
        endif;
        // END: Search in Category
        ?>
        
        <?php if ($this->search_type || $this->search_categories): ?>    
        </div><!-- end: .uk-grid -->
        <?php endif; ?>

        <?php if ($this->search_manufacturers || $this->search_sort_by): ?>    
        <div class="uk-margin-top" uk-grid>
        <?php endif; ?>
        
        <?php
        // BEGIN: Search in Manufacturers
        if ($this->search_manufacturers):
        ?>
        <div class="uk-width-1-2@l uk-width-1-2@m uk-width-1-1@s">
            <div class="uk-margin">
                <label for="filter_manufacturer" class="uk-form-label uk-text-muted"><?php echo JText::_('VMSALES_MANUFACTURERS'); ?></label>
                <div class="uk-form-controls uk-margin-small-top">
                    <?php echo $this->manufacturers_list; ?>
                </div>
            </div>
        </div>
        <?php
        endif;
        // END: Search in Manufacturers

        // BEGIN: Sort by
        if ($this->search_sort_by):
        ?>
        <div class="uk-width-1-2@l uk-width-1-2@m uk-width-1-1@s">
            <div class="uk-margin">
                <label for="filter_orderby" class="uk-form-label uk-text-muted"><?php echo JText::_('VMSALES_SORT_BY'); ?></label>
                <div class="uk-form-controls uk-margin-small-top">
                    <?php echo $this->orderby_list; ?>
                </div>
            </div>
        </div>
        <?php
        endif;
        // END: Sort by
        ?>
        
        <?php if ($this->search_manufacturers || $this->search_sort_by): ?>    
        </div><!-- end: .uk-grid -->
        <?php endif; ?>
        
        <?php
        // BEGIN Search text
        if ($this->search_text):
        ?>
        <div class="uk-margin">
            <label for="filter_search" class="uk-form-label uk-text-muted"><?php echo JText::_('VMSALES_SEARCH'); ?></label>
            <div class="uk-form-controls uk-margin-small-top">
                <div class="uk-grid-small uk-margin" uk-grid>
                    <div class="uk-width-expand@s">
                        <?php echo $this->search_input; ?>
                    </div>
                    <div>
                        <button type="submit" id="search-button-page" class="uk-button uk-button-default uk-text-capitalize"><span uk-icon="icon: search; ratio: 0.6"></span> <?php echo JText::_('VMSALES_SEARCH'); ?></button>
                    </div>
                    <div>
                        <button type="button" id="clear-search-button" class="uk-button uk-button-default" uk-tooltip title="<?php echo JText::_('VMSALES_CLEAR_FORM'); ?>"><span uk-icon="icon: close"></span></button>
                    </div>
                </div>
            </div>
        </div>
        <?php
        endif;
        // END Search text
        ?>
        </div>
        <!-- END: Search Form -->
        <?php endif; ?>

        <!-- BEGIN: Print Results -->
        <?php
        if (count($this->items) > 0):
        ?>
        <div class="uk-margin-medium-top uk-padding-remove-top uk-padding-remove-bottom">
        <legend class="uk-legend uk-margin-small-bottom"><?php echo JText::_('VMSALES_LIST_OF_PRODUCTS_LEGEND'); ?></legend>
            <?php
            // Sorting array by orderby filter
            $filter_orderby = $this->getState('filter.orderby');

            // Sorting array by parameter orderby filter
            $primary_order = $this->params->get('primary_order', 'most_recent_first');

            // get the form or the default orderby
            $orderby = ($filter_orderby) ? $filter_orderby : $primary_order;
            
            switch ($orderby) 
            {
                case 'most_recent_first':
                    array_multisort(array_column($this->items, 'modified_on'), SORT_DESC, $this->items);
                    break;

                case 'oldest_first':
                    array_multisort(array_column($this->items, 'modified_on'), SORT_ASC, $this->items);
                    break;
                
                case 'discount_high_to_low':
                    //array_multisort(array_column($this->items, 'discountAmount_v'), SORT_DESC, $this->items);
                    array_multisort(array_column($this->items, 'discount_percentage_text'), SORT_DESC, $this->items);
                    break;

                case 'discount_low_to_high':
                    //array_multisort(array_column($this->items, 'discountAmount_v'), SORT_ASC, $this->items);
                    array_multisort(array_column($this->items, 'discount_percentage_text'), SORT_ASC, $this->items);
                    break;

                case 'price_high_to_low':
                    array_multisort(array_column($this->items, 'salesPrice_v'), SORT_DESC, $this->items);
                    break;

                case 'price_low_to_high':
                    array_multisort(array_column($this->items, 'salesPrice_v'), SORT_ASC, $this->items);
                    break;

                case 'weight_high_to_low':
                    array_multisort(array_column($this->items, 'product_weight'), SORT_DESC, $this->items);
                    break;

                case 'weight_low_to_high':
                    array_multisort(array_column($this->items, 'product_weight'), SORT_ASC, $this->items);
                    break;
               
                default:
                    array_multisort(array_column($this->items, 'virtuemart_product_id'), SORT_DESC, $this->items);
                    break;
            }

            // start displaying products
            $i = 0;
            foreach ($this->items as $product):

                $row = (object) $product;

                // BEGIN: Build Vars

                // Product's link
                $app = JApplication::getInstance('site');
                $router = $app->getRouter();
                $url = $router->build($row->product_link);
                $url = $url->toString();
                $product_link = str_replace(JURI::base(true),'',JURI::base()) . ltrim(str_replace(JURI::base(), '', $url), '/');

                // Product's name
                $product_name = $row->product_name;
                if ($this->title_chars_limit > 0)
                {
                    $product_name_limited  = JString::substr(strip_tags($product_name), 0, $this->title_chars_limit);
                    $product_name_limited .= ($this->title_chars_limit < strip_tags($product_name)) ? '<span class="uk-display-inline">...</span>' : '';
                    $product_name = $product_name_limited;
                }

                // BEGIN: Product's description
                
                // before limited or striped
                $product_description = ($this->description_type == 'full') ? $row->product_desc : $row->product_s_desc;
                
                // limit chars
                if ($this->description_chars_limit > 0)
                {
                    $product_description_limited  = JString::substr(strip_tags($product_description), 0, $this->description_chars_limit);
                    $product_description_limited .= ($this->description_chars_limit < strip_tags($product_description)) ? '<span class="uk-display-inline">...</span>' : '';
                    $product_description = $product_description_limited;
                }

                // Allowed html tags
                $allowed_html_tags = str_replace(' ', '', $this->allowed_html_tags);
                $allowed_html_tags_arr = array();
                $allowed_html_tags_arr = explode(',', $allowed_html_tags);
                $allowed_html_tags_format = '';
                foreach ($allowed_html_tags_arr as $tag):
                    $allowed_html_tags_format .= '<'.$tag.'>';
                endforeach;
                
                // Get striped description
                if (!empty($allowed_html_tags)):
                    $product_description = strip_tags($product_description, $allowed_html_tags_format);
                endif;
                // END: Product's description
                
                // Ask a question
                $ask_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&task=askquestion&virtuemart_product_id='.$row->virtuemart_product_id.'&tmpl=component&Itemid='.$this->menu_item_id_value);
                
                // Check if there is discount
                if ($row->discountAmount_v > 0)
                {
                    $has_discount = true;
                }
                else
                {
                    $has_discount = false;
                }

                // Calculate product's prices
                if ($has_discount)
                {
                    // prices with discount
                    if ($this->display_price_with_tax)
                    {
                        $base_price = $this->currency_helper->priceDisplay($row->salesPrice_v + $row->discountAmount_v);
                    }
                    else
                    {
                        $base_price = $row->basePriceVariant;
                    }

                    $final_price = ($this->display_price_with_tax) ? $row->salesPrice : $row->discountedPriceWithoutTax;
                    $discount_amount = ($row->discountAmount_digit > 0) ? '- '.$row->discountAmount : $row->discountAmount;
                    
                    if (!$this->display_price_with_tax)
                    {
                        $base_price_clean_value = str_replace(',', '.', preg_replace('/[^0-9,.]/', '', $base_price));
                        $discountedPriceWithoutTax_clean_value = str_replace(',', '.', preg_replace('/[^0-9,.]/', '', $row->discountedPriceWithoutTax));
                        $discount_amount = ($base_price_clean_value - $discountedPriceWithoutTax_clean_value);
                    }

                    // Get amount discount (e.g. - €20)
                    if (empty($row->discountAmount))
                    {
                        $discount_amount = ($row->discountAmount_digit > 0) ? '- '.$row->discountAmount_v : $row->discountAmount_v;
                    }

                    $discount_amount = $this->currency_helper->priceDisplay($discount_amount);
                    // Get percentage discount (e.g. - 20%)
                    if ($this->discount_type_display == 'percentage_discount' && $row->discount_percentage_text > 0)
                    {
                        $discount_amount = '- ' . $row->discount_percentage_text . '%';
                    }
                    else
                    {
                        $discount_amount = '- ' . $discount_amount;
                    }

                }
                else
                {
                    // prices without discount
                    $base_price = ($this->display_price_with_tax) ? (!empty($row->basePriceWithTax) ? $row->basePriceWithTax : $row->basePriceVariant) : $row->basePriceVariant;
                    $base_price = ($this->display_price_with_tax) ? (!empty($row->basePriceWithTax) ? $row->basePriceWithTax : $row->salesPrice) : $row->salesPrice;
                    $final_price = $base_price;
                    $discount_amount = ($row->discountAmount_digit > 0) ? '- '.$row->discountAmount : $row->discountAmount;
                }
                ?>
                                        
                <!-- BEGIN: Display Product -->
                <?php
                $num_of_products_per_row = $this->num_of_products_per_row;
                // BEGIN: Multi-Column-Row
                if (($i % $num_of_products_per_row == 0)):
                    echo '<div class="uk-margin-medium-top" uk-grid>';
                endif;
                echo '<div class="uk-width-1-'.$num_of_products_per_row.'@s">';
                // END: Multi-Column-Row
                ?>
                
                    <div class="uk-margin-small-top">
                        <div class="uk-card uk-card-default uk-card-hover">

                            <div class="uk-card-media-top">

                            <?php if ($this->image_click == 'lightbox_gallery' && !empty($row->images)): ?>

                                <?php
                                $display_thumb_image = $row->productImages[0]->displayMediaThumb('class="product-image"',false);
                                $large_image_path = $row->images[0];
                                $thumb_image_path = $row->productImages[0]->getFileUrlThumb();
                                if (!empty($row->images) && JFile::exists(JPATH_SITE.'/'.$thumb_image_path)): ?>
                                    <div uk-lightbox="animation: slide;">    
                                        <?php 
                                        $img = 0;
                                        foreach ($row->images as $image): ?>         
                                        <div <?php echo ($img>0 ? 'hidden': ''); ?>>
                                            <a href="<?php echo $image; ?>" class="vm-thumbnail uk-inline uk-transition-toggle uk-light" caption="<?php echo $row->product_name; ?>">
                                                <img class="uk-transition-scale-up uk-transition-opaque" src="<?php echo $image; ?>" alt="<?php echo $row->product_name; ?>" />
                                                <div class="uk-position-center">
                                                    <span class="uk-transition-fade" uk-icon="icon: plus; ratio: 2"></span>
                                                </div>
                                                <?php if ($has_discount): ?>
                                                    <span class="vm-discount"><strong><?php echo $discount_amount; ?></strong></span>
                                                <?php endif; ?>
                                            </a>
                                        </div>
                                        <?php 
                                        $img++;
                                        endforeach; ?>
                                    </div>
                                <?php else: ?>
                                    <a href="<?php echo $product_link; ?>" class="vm-thumbnail" title="<?php echo $row->product_name; ?>">
                                        <img src="components/com_vmsales/views/vmsales/tmpl/assets/images/no_photo_available.jpg" alt="<?php echo $row->product_name; ?>" />
                                        <?php if ($has_discount): ?>
                                            <span class="vm-discount"><strong><?php echo $discount_amount; ?></strong></span>
                                        <?php endif; ?>
                                    </a>
                                <?php
                                endif;
                                
                            else:
                                if (!empty($row->images) && JFile::exists(JPATH_SITE.'/'.$row->images[0])): 
                                    $thumb_image_path = $row->productImages[0]->getFileUrlThumb();
                                ?>
                                <div>
                                    <a href="<?php echo $product_link; ?>" class="uk-inline vm-thumbnail uk-padding-small uk-text-center" title="<?php echo $row->product_name; ?>">
                                        <img src="<?php echo $thumb_image_path; ?>" alt="<?php echo $row->product_name; ?>" class="uk-width-auto" />
                                        <?php if ($has_discount): ?>
                                            <span class="vm-discount"><strong><?php echo $discount_amount; ?></strong></span>
                                        <?php endif; ?>
                                    </a>
                                </div>
                            
                            <?php else: ?>

                                <a href="<?php echo $product_link; ?>" class="vm-thumbnail uk-padding-small uk-text-center" title="<?php echo $row->product_name; ?>">
                                    <img src="components/com_vmsales/views/vmsales/tmpl/assets/images/no_photo_available.jpg" alt="<?php echo $row->product_name; ?>" />
                                    <?php if ($has_discount): ?>
                                        <span class="vm-discount"><strong><?php echo $discount_amount; ?></strong></span>
                                    <?php endif; ?>
                                </a>
                                <?php									
                                endif;
                                
                            endif;
                            ?>
                            </div><!-- end: .uk-card-media-top -->
                        
                            <div class="uk-card-body uk-padding-small uk-padding-top uk-padding-remove-bottom">
                                <div class="vm-details">
                                    <div class="vm-header">
                                        <?php if ($this->share_button):?>
                                        <div class="vms_social_icons uk-align-right">
                                            <?php // Begin Social Cod ?>
                                            <a href="<?php echo 'http://www.facebook.com/sharer.php?u='.$product_link; ?>" target="_blank" title="<?php echo JText::_('VMSALES_SHARE_FACEBOOK'); ?>" uk-tooltip><span uk-icon="icon: facebook"></span></a>
                                            <a href="http://twitter.com/intent/tweet?text=<?php echo $row->product_name; ?>&url=<?php echo $product_link; ?>" target="_blank" title="<?php echo JText::_('VMSALES_SHARE_TWITTER'); ?>" uk-tooltip><span uk-icon="icon: twitter"></span></a>
                                            <?php // END Social Code ?>
                                            
                                        </div>
                                        <?php endif;?>

                                        <!-- Product Name -->
                                        <h3 class="uk-h2 uk-margin-small-top">
                                            <a href="<?php echo $product_link; ?>">
                                                <?php echo $product_name; ?>
                                            </a>
                                        </h3>
                                        
                                        <!-- In Categories -->
                                        <span class="vm-category uk-text-small"><?php echo JText::_( 'VMSALES_IN' ); ?>: 
                                        <?php 
                                        $c=1;
                                        if (!empty($row->categories)):
                                            foreach ($row->categories as $cat):
                                                $categories = JHtml::_('link', $cat['link'], $cat['name'], 'class="vms-cat-link"');
                                                $categories .= (count($row->categories) == $c)? '.' : ', ';
                                                echo stripslashes($categories);
                                            $c++;
                                            endforeach;
                                        else:
                                            echo JText::_('VMSALES_UNCATEGORIZED');
                                        endif;;
                                        ?>
                                        </span>
                                    </div>
                                    
                                    <?php if ($this->question_link): ?>

                                        <p uk-margin>
                                            <a class="uk-text-muted" href="#modal-ask" uk-toggle><?php echo JText::_('VMSALES_QUESTION'); ?></a>
                                        </p>

                                        <div id="modal-ask" class="uk-flex-top" uk-modal>
                                            <div class="uk-modal-dialog uk-modal-body uk-width-auto uk-margin-auto-vertical">
                                                <button class="uk-modal-close-outside" type="button" uk-close></button>
                                                <iframe src="<?php echo $ask_link; ?>" width="500" height="550" frameborder="0"></iframe>
                                            </div>
                                        </div>

                                    <?php endif;?>
                                    
                                    <p class="vm-price">
                                        <?php if ($has_discount) : ?>
                                            <span class="vm-old-price"><?php echo $base_price; ?></span> 
                                        <?php endif; ?>
                                        <span><?php echo $final_price; ?></span>
                                    </p>
            
                                    <?php if ($this->view_description): ?>
                                        <div class="uk-margin-bottom">
                                            <?php echo $product_description; ?>
                                        </div>
                                    <?php endif; ?>
                                                                    
                                </div><!-- end: .vm-details -->

                            </div><!-- end: .uk-card-body -->

                            <?php if ($this->view_more_button):?>
                                <div class="uk-card-footer">
                                    <a href="<?php echo $product_link; ?>" class="uk-button uk-button-default uk-align-center uk-text-capitalize"><?php echo JText::_('VMSALES_VIEW_MORE'); ?> &raquo;</a>
                                </div>
                            <?php endif;?>
                                
                        </div><!-- end: .uk-card .uk-card-default .uk-card-hover -->

                    </div><!-- end: .uk-margin-small-top -->

                </div><!-- end: .uk-grid -->
                
                <?php 
                // BEGIN: Multi-Column-Row
                if (($i+1) % $num_of_products_per_row == 0 || $i==(count($this->items)-1)):
                    echo '</div>'; // .uk-grid
                endif;
                // END: Multi-Column-Row
                ?>

                <!-- END: Display Product -->
            <?php
            $i++;
            endforeach; ?>
        </div><!-- end: uk-margin-medium-top uk-padding-remove-top uk-padding-remove-bottom -->
        <!-- END: Print Results -->
        <?php
        else:
        ?>
            <!-- BEGIN: Empty Results -->
            <div class="uk-margin-large-top">
                <?php echo JText::_('VMSALES_NO_RESULTS'); // no results ?>
            </div><!-- end: .uk-grid -->
            <!-- END: Empty Results -->
        <?php
        endif;
        ?>

        <hr class="uk-divider-small uk-margin-medium-top uk-text-center">

        <?php
        // BEGIN: Pagination
        if ($this->display_pagination && count($this->items) > 0): ?>
            <div class="uk-margin-top uk-clearfix">
                <div class="pagination vm-pagination vm-pagination-bottom uk-text-center uk-margin-remove" style="float:none">
                    <div class="uk-display-block pagination"><?php echo $this->pagination->getPagesLinks(); ?></div>
                    <div class="uk-display-block"><?php echo $this->pagination->getPagesCounter(); ?></div>
                </div>
            </div>
            <?php
        endif;
        // END: Pagination

        ?>
        <input type="hidden" name="menu_item_id" id="menu_item_id" value="<?php echo $this->menu_item_id_value; ?>" />
        <?php echo JHTML::_('form.token'); ?>
        </form>
        
    </div><!-- end:  #vms -->

    <div class="uk-clearfix"></div>

    <?php
    // Copyright message
    if ($this->copyright):
        echo '<div class="uk-text-center uk-margin-bottom uk-margin-top uk-text-muted">'.JText::_('VMSALES_POWERED_BY').' <a href="https://www.web357.com/extensions/virtuemart-sales?utm_source=CLIENTFRONTEND&utm_medium=CLIENTFRONTEND-CopyrightLink-virtuemart-sales&utm_content=CLIENTFRONTEND-CopyrightLink&utm_campaign=virtuemart-sales" rel="nofollow" target="_blank">Virtuemart Sales</a></div>';
    endif;
    ?>
</div><!-- end: .uk-scope -->